<?php
/**
 * Klasa administratora
 *
 */
class MfAdminAccess  extends DataObject {

	/**
	 * nazwa tabeli
	 */
	static $tableName = 'mf_admin_access';

	/**
	 * nazwa klucza tabeli
	 */
	static $classTablePK = 'id_mf_admin_access';
		
	/**
	 * nazwa klasy
	 */
	static $className = __CLASS__;

	/**
	 * tabela mapująca pola z bazy SQL na pola klasy.
	 */
	static $fields = array(
		'id_mf_admin_access' =>'id',
		'role' =>'role',
		'description' =>'description'
	);

	protected $id;
	private $role;
	private $description;

	public function GetId() {
		return $this->id;
	}

	public function SetId($id) {
		$this->id = $id;
	}

	public function GetRole() {
		return $this->role;
	}

	public function SetRole($role) {
		$this->role = $role;
	}

	public function GetDescription() {
		return $this->description;
	}

	public function SetDescription($description) {
		$this->description = $description;
	}




	public function __construct($id = -1) {

	}

	 /**
	 * Pobiera nazwę tabeli reprezentującej obiekt w SQL
	 * @return string
	 */

	public  function GetTableName(){
		return self::$tableName;
      }
	/**
       * Pobiera taablice mapującą pola klasy na pola tabeli
       * @return array
       */
	public  function GetFields(){
		return self::$fields;
      }
	/**
       * Pobiera nazwę klasy
       * @return string
       */
	public  function GetClassName(){
		return self::$className;
      }


    public function GetClassTablePK() {
        return self::$classTablePK;
    }
}
?>